package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.mesBean.AnalysisProBean;
import com.wd.workoffice.bean.mesBean.ProBadBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class AnalysisProBadAdapter extends BaseQuickAdapter<AnalysisProBean, BaseViewHolder> {

    public AnalysisProBadAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, AnalysisProBean item) {
        helper.setText(R.id.tv_rank, String.valueOf(helper.getAdapterPosition() + 1));
        helper.setText(R.id.tv_pro_name, item.getProductName());
        helper.setText(R.id.tv_weight, String.valueOf(item.getProductNum()));
    }
}

